# Get a list of interaction sources for location

```http
GET https://api.synup.com/api/v4/locations/{location_id}/reviews/settings
```

Review sources are used to pull in reviews from the supported review partners. Each interaction source should have an associated valid URL to pull in reviews from.

Use this endpoint to list the interaction sources for a particular location. This API will return the interaction sources and the associated URL for each source. If the URL is present it means its connected to the location, if the URL is null it means its not connected to the location. It will also return the eligible interaction sources for the location as per the account's subscription.

Source: https://developer.synup.com/api/reviews/get-a-list-of-interaction-sources-for-location

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `location_id` | string | required | Base64 encoded location ID |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/locations/:location_id/reviews/settings' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
